Subject: Re: [PATCH v2 7/8] verify_path(): disallow symlinks in .gitattributes and .gitignore

From: Junio C Hamano <[email-masked]>
Date: Wed, 28 Oct 2020 12:18:12 -0700

Jonathan Nieder <[email-masked]> writes:

> Yes.  And to reiterate the point a little: the reason nobody sets
> transfer.fsckObjects is that we haven't made it easy to distinguish
> between "hard error, should never be overridden" checks (like
> BAD_PARENT_SHA1), "new tools shouldn't write these but they exist in
> important repos like perl.git and anything consuming Git repositories
> needs to cope with them" (like MISSING_SPACE_BEFORE_DATE from some
> commits' concatenated authors), and so on.

Hmph, don't we "distinguish" them by setting appropriate default
levels, though?  Perhaps some classes of errors are set too strict?

>> So I won't be too devastated to remove the symlink checks, or possibly
>> downgrade them to purely warnings (or "info"; the naming in fsck.c is
>> confusing, because the transfer operations take even warnings as fatal.
>> I suspect we could do with some cleanup there).
>
> Downgrading the .gitignore check to warning sounds okay.  .gitmodules
> would still want to be an error, of course.

.gitattributes (and any other .git<thing> we may have in the
future), too.

Thanks.